POST /whatsapp/templates

Create a custom template (components) or one from Meta's library (library_template_name, pre-approved)

POST
/whatsapp/templates

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string

WhatsApp account id

name*string
category*string
Value in"AUTHENTICATION""MARKETING""UTILITY"
language*string
parameter_format?string
components?array<>
library_template_name?string
library_template_body_inputs?
library_template_button_inputs?array<>
message_send_ttl_seconds?integer

Response Body

{success, template}

application/json
  1. response
success?boolean
template?
Example Request
curl -X POST 'https://example.com/api/v1/whatsapp/templates' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "name": "string",  "category": "AUTHENTICATION",  "language": "string"}'
Example Response
{  "success": true,  "template": {    "id": "string",    "name": "string",    "status": "string",    "category": "string",    "language": "string",    "components": [      {}    ],    "message_send_ttl_seconds": 0,    "rejected_reason": "string",    "quality_score": {}  }}